[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObjectList.Destroy

Removes an instance of the hashlist from the heap

## Declaration

Source position: contnrs.pp line 300

`public destructor TFPHashObjectList.Destroy; override;`

## Description

Destroy cleans up the memory structures maintained by the hashlist and removes the TFPHashObjectList instance from the heap. If the list owns its objects, they are freed from memory as well.

Destroy should not be called directly, it's better to use Free or FreeAndNil instead.

## See also

TFPHashObjectList.Create |  | Create a new instance of the hashlist
TFPHashObjectList.Clear |  | Clear the list

Documentation generated on: Feb 26 2014